> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.scrapybara.com/api-reference/instance/computer/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.scrapybara.com/_mcp/server. # Run computer actions POST https://api.scrapybara.com/v1/instance/{instance_id}/computer Content-Type: application/json Reference: https://docs.scrapybara.com/api-reference/instance/computer ## Authentication - `x-api-key` header (required) — API Key authentication via header ## Request ### Path parameters - `instance_id` (string, required) ### Body (application/json) This endpoint expects a Request. - `Request` - `action`: `move_mouse` - `coordinates` (list of integer, required) - `hold_keys` (list of string, optional) - `screenshot` (boolean, optional) - `action`: `click_mouse` - `button` (enum, required) - Allowed values: `left`, `right`, `middle`, `back`, `forward` - `click_type` (enum, optional) - Allowed values: `down`, `up`, `click` - `coordinates` (list of integer, optional) - `hold_keys` (list of string, optional) - `num_clicks` (integer, optional) - `screenshot` (boolean, optional) - `action`: `drag_mouse` - `path` (list of list of integer, required) - `hold_keys` (list of string, optional) - `screenshot` (boolean, optional) - `action`: `scroll` - `coordinates` (list of integer, optional) - `delta_x` (double, optional) - `delta_y` (double, optional) - `hold_keys` (list of string, optional) - `screenshot` (boolean, optional) - `action`: `press_key` - `keys` (list of string, required) - `duration` (double, optional) - `screenshot` (boolean, optional) - `action`: `type_text` - `text` (string, required) - `hold_keys` (list of string, optional) - `screenshot` (boolean, optional) - `action`: `wait` - `duration` (double, required) - `screenshot` (boolean, optional) - `action`: `take_screenshot` - `action`: `get_cursor_position` ## Response ### 200 Successful Response - `output` (string, optional) - `error` (string, optional) - `base64_image` (string, optional) - `system` (string, optional) ## Errors ### 422 Instance Computer Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItem ## Examples **Request** ```json { "action": "move_mouse", "coordinates": [ 1 ] } ``` **Response** ```json { "output": "output", "error": "error", "base64_image": "base64_image", "system": "system" } ``` **SDK Code** ```python import requests url = "https://api.scrapybara.com/v1/instance/instance_id/computer" payload = { "action": "move_mouse", "coordinates": [1] } headers = { "x-api-key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.scrapybara.com/v1/instance/instance_id/computer'; const options = { method: 'POST', headers: {'x-api-key': '', 'Content-Type': 'application/json'}, body: '{"action":"move_mouse","coordinates":[1]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.scrapybara.com/v1/instance/instance_id/computer" payload := strings.NewReader("{\n \"action\": \"move_mouse\",\n \"coordinates\": [\n 1\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-api-key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.scrapybara.com/v1/instance/instance_id/computer") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-api-key"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"action\": \"move_mouse\",\n \"coordinates\": [\n 1\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.scrapybara.com/v1/instance/instance_id/computer") .header("x-api-key", "") .header("Content-Type", "application/json") .body("{\n \"action\": \"move_mouse\",\n \"coordinates\": [\n 1\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.scrapybara.com/v1/instance/instance_id/computer', [ 'body' => '{ "action": "move_mouse", "coordinates": [ 1 ] }', 'headers' => [ 'Content-Type' => 'application/json', 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.scrapybara.com/v1/instance/instance_id/computer"); var request = new RestRequest(Method.POST); request.AddHeader("x-api-key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"action\": \"move_mouse\",\n \"coordinates\": [\n 1\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-api-key": "", "Content-Type": "application/json" ] let parameters = [ "action": "move_mouse", "coordinates": [1] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.scrapybara.com/v1/instance/instance_id/computer")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```